Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.invocation.resolver
Class MapAttributeResolver

    java.lang.Object
      org.jboss.portal.common.invocation.resolver.MapAttributeResolver

All Implemented Interfaces:
  AttributeResolver

    public class MapAttributeResolver

extends java.lang.Object
implements AttributeResolver

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Constructor Summary
`MapAttributeResolver()`
`MapAttributeResolver(java.util.Map attributes)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.Object attrKey)` Return an attribute from this resolver.
`java.util.Set` | `getKeys()` Returns the set of keys of the attributes bound in that resolver.
`void` | `setAttribute(java.lang.Object attrKey, java.lang.Object attrValue)` Update an attribute value on this resolve.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapAttributeResolver

    public MapAttributeResolver(java.util.Map attributes)

### MapAttributeResolver

    public MapAttributeResolver()

Method Detail

### getKeys

    public java.util.Set getKeys()

  Description copied from interface: `AttributeResolver`
  Returns the set of keys of the attributes bound in that resolver.

  Specified by:
    `getKeys` in interface `AttributeResolver`
  Returns:
    a set of keys

### getAttribute

    public java.lang.Object getAttribute(java.lang.Object attrKey)
                                  throws java.lang.IllegalArgumentException

  Description copied from interface: `AttributeResolver`
  Return an attribute from this resolver.

  Specified by:
    `getAttribute` in interface `AttributeResolver`
  Returns:
    the attribute value or null if it is not found
  Throws:
    `java.lang.IllegalArgumentException` - if the attribute key is not valid

### setAttribute

    public void setAttribute(java.lang.Object attrKey,
                             java.lang.Object attrValue)
                      throws java.lang.IllegalArgumentException

  Description copied from interface: `AttributeResolver`
  Update an attribute value on this resolve. If the attribute value is null the resolver must treat the operation as a removal of the attribute.

  Specified by:
    `setAttribute` in interface `AttributeResolver`
    `attrValue` - the attribute value
  Throws:
    `java.lang.IllegalArgumentException` - if the attribute key is not valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.